package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TBusiInspectTaskItem;

/**
 * 巡查任务项 服务层
 */
public interface ITBusiInspectTaskItemService {

    TBusiInspectTaskItem selectTBusiInspectTaskItemByGuid(String guid);

    List<TBusiInspectTaskItem> selectTBusiInspectTaskItemList(TBusiInspectTaskItem tBusiInspectTaskItem);

    int insertTBusiInspectTaskItem(TBusiInspectTaskItem tBusiInspectTaskItem);

    int updateTBusiInspectTaskItem(TBusiInspectTaskItem tBusiInspectTaskItem);

    int deleteTBusiInspectTaskItemByGuid(String guid);

    int deleteTBusiInspectTaskItemByGuids(String[] guids);
}
